<template>
  <div>
    <label :for="field">
      {{ label }}
      <span v-if="required" aria-hidden="true" class="text-red-error">*</span>
    </label>
    <input
      :id="field"
      v-model.trim="email"
      type="email"
      class="form-input block mt-1 w-full"
      :required="required"
      @blur="$emit('blur', { field, value: email })"
    />
    <slot />
  </div>
</template>

<script>
export default {
  name: 'AEmailField',
  props: {
    label: { type: String, default: 'Correu electrònic' },
    validation: { type: String, default: 'required|email' },
  },
  data: () => ({
    fid: 'email',
    email: null,
  }),
  computed: {
    field() {
      return this.$vnode.data.ref;
    },
    required() {
      return /required/.test(this.validation);
    },
  },
  methods: {
    reset() {
      this.email = null;
    },
  },
};
</script>
